org.apache.hadoop.fs

## Class InvalidPathException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - org.apache.hadoop.HadoopIllegalArgumentException
          - - org.apache.hadoop.fs.InvalidPathException

- All Implemented Interfaces:
    Serializable

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public class InvalidPathException
      extends HadoopIllegalArgumentException

  Path string is invalid either because it has invalid characters or due to other file system specific reasons.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidPathException(String path)` Constructs exception with the specified detail message.
    `InvalidPathException(String path, String reason)` Constructs exception with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidPathException

          public InvalidPathException(String path)

      Constructs exception with the specified detail message.
      Parameters:
        `path` - invalid path.

    - #### InvalidPathException

          public InvalidPathException(String path,
                                      String reason)

      Constructs exception with the specified detail message.
      Parameters:
        `path` - invalid path.
        `reason` - Reason `path` is invalid

Copyright © 2022 Apache Software Foundation. All rights reserved.